︠21b26dc5-2441-4510-aa6d-b9b7789836f4︠
#E1: y^2 = x^3 + 2
E1 = EllipticCurve([0,0,0,0,2]); E1
L1.<a1> = E1.division_field(3)
G1 = L1.galois_group()
G1.ramification_breaks(L1.primes_above(2)[0])
G1.inertia_group(L1.primes_above(2)[0]).order()
︡94038437-1aba-4307-a28b-bf50ccad4309︡{"stdout":"Elliptic Curve defined by y^2 = x^3 + 2 over Rational Field\n"}︡{"stdout":"{2, -1}"}︡{"stdout":"\n"}︡{"stdout":"2\n"}︡{"done":true}︡
︠1edd2950-9860-4760-9054-72ef3e57f8ce︠
#So the cardinalities of the ramification subgroups of L1/QQ_2 is given by: g0 = g1 = g2 = 2 and gi = 1 for i > 2
#and we can caluclate the wild part of the conductor for E1. delta1 = 2* (g1/g0 + g2/g0)
delta1 = 2 *(1+1); delta1
︡bb737d7b-1dd7-49d1-9f42-7c98adedc8e7︡{"stdout":"4\n"}︡{"done":true}︡
︠df455f8c-d37d-4d3c-9872-6b645fa22d2a︠
#E2: y^2 + 2*y = x^3 + 2
E2= EllipticCurve([0,0,2,0,2]); E2
L2.<a2> = E2.division_field(3)
G2 = L2.galois_group()
G2.ramification_breaks(L2.primes_above(2)[0])
G2.inertia_group(L2.primes_above(2)[0]).order()
︡c3ef7fee-658a-4cc0-9ae3-03fcba04c171︡{"stdout":"Elliptic Curve defined by y^2 + 2*y = x^3 + 2 over Rational Field\n"}︡{"stdout":"{0, 3, -1}"}︡{"stdout":"\n"}︡{"stdout":"6\n"}︡{"done":true}︡
︠1fd28956-2eae-49d7-aa07-7196569ee029︠
##So the cardinalities of the ramification subgroups of L2/QQ_2 is given by: g0 = 6,  g1 = g2 = g3 = 2 and gi = 1 for i > 3
#and we can caluclate the wild part of the conductor for E2. delta2 = 2* (g1/g0 + g2/g0+g3/g0)
delta2 = 2*(1/3 +1/3 +1/3); delta2
︡34c4a38d-e21b-434d-9273-1c4700807f91︡{"stdout":"2\n"}︡{"done":true}︡
︠d94529df-8ba6-48f7-bafe-d63e56559453s︠
#E3: y^2 + 2*x*y = x^3 + 2*x + 2
E3 = EllipticCurve([2,0,0,2,2]); E3
#The division field L3.<a3> = E3.division_field(3) is "too big" for Galois group computations, so we use a weak padic Galois extension (of the mclf package).
import sys
sys.path.append('../MCLF')
from mclf import *

#First we find a polynomial with splitting field equal to the field extension generated by the 3-torsion points.
g = E3.division_polynomial(3)
#The roots of g are the x-coordinates of the 3-torsion points. We caluclate the the resultant of g and the polynomial defining E3 in order to construct a field that also contains the y-coordinates of the 3-torsion points.
R.<y> = QQ[]
S.<x> = R[]
G = g(x)
F = y^2  + 2*x*y - x^3 - 2*x - 2
f = F.resultant(G); f

#Construction of the Weak p-adic Galois Extension with defining polynomial f
v_2 = QQ.valuation(2)
Q2 = FakepAdicCompletion(QQ, v_2)
L3 = WeakPadicGaloisExtension(Q2, f.monic()); L3
L3.ramification_filtration()
︡359a7324-083d-41a9-9f3e-b8e412cd5d27︡{"stdout":"Elliptic Curve defined by y^2 + 2*x*y = x^3 + 2*x + 2 over Rational Field\n"}︡{"stdout":"27*y^8 - 72*y^7 + 568*y^6 - 528*y^5 - 984*y^4 + 4768*y^3 + 2400*y^2 - 7872*y - 5840\n"}︡{"stdout":"2-adic completion of Number Field in pi24 with defining polynomial x^24 + 52*x^21 + 28*x^18 + 24*x^15 + 24*x^12 + 24*x^9 + 124*x^6 + 80*x^3 + 22 as weak Galois extension of 2-adic completion of Rational Field"}︡{"stdout":"\n"}︡{"stdout":"[(0, 24), (5, 8), (15, 2)]\n"}︡{"done":true}︡
︠1406302c-baf7-4422-a9e9-d87179be8fd3︠
##So the cardinalities of the ramification subgroups of L3/QQ_3 is given by: g0 = 24,  g1 = ... = g5 = 8, g6 = ... = g15 = 2 and gi = 1 for i > 15
#and we can caluclate the wild part of the conductor for E3.
delta3 = 2* (5*1/3 + 10*1/12); delta3
︡0fc37960-7960-45fb-926f-a5c00ada1659︡{"stdout":"5\n"}︡{"done":true}︡
︠55931e7a-9d58-4b5c-9cd6-648dfce81a1a︠









